EDICIóN GENERAL

Mac OS Catalina en un Mac no compatible: Guía de instalación

#1 Es bueno, pero piensa que hay mucha gente que programa para iOS y necesitas un Mac aunque sólo sea para compilar, la gracia está que las últimas versiones de Xcode ( el cacharro para compilar ) sólo funcionan en las últimas versiones de OSX y sorpresa! a la Apple Store no puedes subir aplicaciones compiladas previas a la versión X, en resumen, si eres desarrollador de iOS aunque use algún framework multiplataforma como IONIC o React native estás condenado a renovar tu Mac cada cierto tiempo sí o sí, aunque sólo lo uses para compilar, en estos casos este artículo es bastante útil, por ejemplo en mi caso yo no sabía que se podía y me lo apunto.
Para la gente de a pie, en Mac la cosa no es tan sangrante como en iOS, cualquier OSX moderno te mueve cualquier aplicación sin problema, yo que estoy bastante al día me suelo saltar dos o tres versiones del SO antes de actualizar simplemente por pereza, y porque siempre hay alguna aplicación que aprovecha el tirón y te obliga a actualizar y comprar de nuevo ( como VMware )
#2 siento joderte el tocho (que por cierto no me he leído), pero mi comentario era un chiste barato.
#3 Si el chiste es cojonudo, solo intentaba subir un poco el nivel del sitio, bueno la verdad es que llevaba dos copas encima y me pongo pedante
#4 Gente que comenta bebida... Esto explica muchas cosas aquí... :-D

PD No en tu caso, es un comentario correcto y que aporta.
#2 En su día me instalé el Mojave en un mac book air del 2011 (con el método calzador que se describe aquí porque supuestamente mi modelo ya no era compatible) y tira bastante bien.

Quitando el tema de la batería que tuve que cambiar hace 1 año o así, el bicho sigue tirando muy bien.
#6 Algo me dice que en mi G4 (PPC) no va a funcionar este método. :roll: :troll:
#12 Es la pena de los G3 y G4. Se han quedado muy atrás a pesar de ser procesadores punteros para la época. A esos Mac no se les puede instalar versiones nuevas de macOS ni tampoco Windows de forma nativa (windows sí se les puede instalar a los primeros mac con Intel). Eso sí... linux creo que les funciona sin problemas. No tengo claro si necesitan una disto específica o directamente funciona cualquier ubuntu o similares (no sé si el kernel de esas distros acepta ese tipo de procesadores. Seguro que alguien por aquí puede informarnos) pero tengo entendido que mucha gente que quiere seguir usando esos equipos es lo que hace. Distro de linux y a tirar millas (aunque si estás acostumbrado a los programas que ya usabas con Apple es un pequeño incordio tener que migrar a otro sistema, aunque bueno... también es una lata verte obligado a migrar todo a Windows).
#29 En los G3 y los G4 no se pueden instalar versiones superiores a la 10.5.8 (2009) de OS X ya que con la versión siguiente de OS X, la 10.6 creo, dejaron de dar soporte a la arquitectura PPC, desde ese momento el sistema operativo solo era para procesadores con arquitectura x86.
Un G4 no "puede entender" algo que está programado y compilado para una arquitectura diferente a la suya, al igual que cualquier otro procesador.
A un x86 por ejemplo no le puedes hacer correr algo programado para PPC, Mips, Alpha, ARM, etc., etc., no lo entendería.

Actualmente un G4, exceptuando los primeros, se les puede instalar sin problema la versión 10.5.8 de OS X, va lentorro sobre todo a nivel de aceleración gráfica y eso que al mio le metí una geforce 5400 AGP que tenía por casa, era para x86 pero le hice un apaño y reprogramé el firm de la gráfica y funciona sin problemas en el G4.
No todas las distribuciones de Linux traen soporte para procesadores PowerPC (PPC), Ubuntu por ejemplo no trae soporte, pero Debian sí y Arch me parece que también.
La versión oficial de Debian para PPC se quedó en la 8.11 creo, a partir de esta versión dejaron de lado la arquitectura PPC, la única arquitectura PPC soportada oficialmente es la PPC64.
De todas formas esto no es problema ya que sigue habíendo versión en desarollo (SID) para PPC y es totalmente funcional, incluso están desarrollando un GRUB 2 que funcione con OpenFirmware, la "BIOS" de los PPC...
También tienes la mayoría de los escritorios para Debian 10 PPC (SID) XFCE, KDE, Gnome, Mate, Cinnamon, e incluso ya hay partes de Deepin
#12 Mucho pides...
#2 Yo ya me he hartado de darle dinero a Apple, y ahora para el tema que comentas uso un PC con Gentoo Linux y macOS virtualizado utilizando QEMU/KVM. La única pega es que eso me obliga a usar 2 GPUs y 2 monitores, una para Linux y otra para la máquina virtual, por el tema de hacer passthrough de la GPU para que macOS pueda tener aceleración gráfica. Va de puta madre con un mi Threadripper y 2 GPUs RX 580.

passthroughpo.st/
#9 imagino que eres mas pro de AMD, pero para estos casos diria que sale mas a cuenta procesador intel con tarjeta integrada, y pillar tarjeton al que usar mediante pci passthrough.

El caso más habitual es Linux (host) + Windows (guest). Con la integrada de Intel vas sobrado para efectos de escritorio y decodificación de video en Linux. Mientras que el Windows lo usas para juegos, etc. El doble monitor tambien puede ser opcional (ej. si haces passthrough de la tarjeta solo para computo: ML, minar bitcoins, etc.)
#2 Bueno de paso os comparto mis mierdas.
Yo en mi caso tengo un Mac Pro late 2013 osea un equipo que va para 7 años, aunque lo tengo 5, un equipo de gama profesional que me costo un riñon, ahora me hacen la dialisis en el ambulatorio dos veces al mes.
Lo que me hizo pasarme a Hackintosh hace poco, fue que este verano se me jodió el Mac Pro, de repente llego de una semana de vacaciones, que es lo que disfrutamos los automonos, y al volver no arranca. Y lo que fue increíble. Traenos el equipo dentro de una semana, no lo podemos coger antes, y te diremos que le pasa a la semana próxima.
Cuando les pongo una queja me llaman de apple empresas y me consiguen una cita a los 2 días, me voy al apple store y me diagnostican daños por humedad, que lo he mojado. No sé si conocéis este equipo pero como una papelera hermética que si lo tienes siempre en la mesa a ver como se va a mojar.
Al final rechazo el presupuesto porque era una locura, casi 1000 por cambiar una placa de 400 que al final compré yo por eBay.
A otro cliente mio, llevo el imac, le presupuestan daños de la fuente, 160€ de reparación y cuando va a recogerlo le cobran 880€ porque han cambiado al final, fuente, placa y pantalla, de un equipo que nuevo vale 1200€ (porque los pago este hombre no losé, es tonto)

Sobre la necesidad de tener que cambiar el equipo cada poco tiempo no es del todo cierto, yo he tenido un maquinon muchos años, publico mis cutre juegos en la apple store y android store, por eso tengo un mac, pero ahora estoy con Mojave y 0 pegas, no necesito ir a Catalina que ademas esta lleno de bugs y petan muchas cosas de shaders todavía. Cuando sale un sistema de OSX siempre hay que dejarlo 6 meses hasta que lo terminen testeando con la gente.

El caso es que mi Hackintosh de ahora me costo 1200? o 1500? por ahí, el tope un i9 con una radeon blablabla, el caso es que tengo algun bloqueo extraño cada 2-3 días, no es 100% estable. Seguramente volveré a Mac si algún juego me da suficiente dinero.

Sobre el nuevo Mac Pro que cuesta apartir de 9k creo, ya hay comparativas en internet donde coges el Mac Pro mas potente por 20.000 y la misma configuracion en HP, en Lenovo u otras marcas te cuesta 30.000 o mas. Es la primera vez que Apple saca un producto mas portente y mas barato desde los 90, ahora con la peana del monitor han flipado xD

En resumen, porque no uso windows? soy mas productivo en Mac, fallo mucho con el puntero del raton en Unity, y en Gnu&linux y demas mierdas siempre acabo perdiendo horas intentando hacer funcionar cosas que no van.
Pero tengo clientes con un hackintosh 4-5 años y jamás han tenido un problema. Que violan la licencia? bueno, pero al final acaban comprando apple originales, y apple lo sabe y está lleno de casos en internet de gente que ha demostrado que el hackintosh es el camino hacia el lado oscuro...
Voy a abrir mis regalos adios! xD
En contestación al compi #2 perdona, básicamente eso que tampoco hace falta actualizar tanto para publicar en apple store, mi Mac de 2013 sigue siendo hábil para ello oye.

menéame